// ChatEdit.cpp : implementation file
//

#include "stdafx.h"
#include "PabloDraw.h"
#include "ChatEdit.h"


// CChatEdit

CChatEdit::CChatEdit()
{
}

CChatEdit::~CChatEdit()
{
}


BEGIN_MESSAGE_MAP(CChatEdit, CEdit)
	ON_CONTROL_REFLECT(EN_CHANGE, OnEnChange)
	ON_WM_CHAR()
	ON_WM_CREATE()
	ON_WM_GETDLGCODE()
END_MESSAGE_MAP()


UINT CChatEdit::OnGetDlgCode()
{
	return DLGC_WANTCHARS | DLGC_WANTALLKEYS;
}
// CChatEdit message handlers

int CChatEdit::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CEdit::OnCreate(lpCreateStruct) == -1) return -1;

	ModifyStyleEx(0, WS_EX_CLIENTEDGE);
	return 0;
}

void CChatEdit::OnEnChange()
{
	CString str;
	GetWindowText(str);
	BOOL bFound = FALSE;
	int iPos = str.Find('\n');
	while (iPos >= 0) 
	{
		bFound = TRUE;
		CString strSend;
		if (iPos > 0) strSend = str.Left(iPos-1);
		GetParent()->SendMessage(WM_USER_RETURN, (WPARAM)(LPCTSTR)strSend);
		str = str.Mid(iPos+1);
		iPos = str.Find('\n');
	}
	if (bFound) SetWindowText(str);
}

void CChatEdit::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	if (nChar == VK_RETURN)
	{
		CString str;
		GetWindowText(str);
		if (!str.IsEmpty()) GetParent()->SendMessage(WM_USER_RETURN, (WPARAM)(LPCTSTR)str);
		SetWindowText(_T(""));
	}
	else CEdit::OnChar(nChar, nRepCnt, nFlags);
}

