#pragma once

#include "ChatEdit.h"
#include "ChatHistory.h"
#include "PabloDrawDoc.h"
// CChatView

class CChatView : public CWnd
{
	friend class CChatHistory;
	
public:
	CChatView();
	virtual ~CChatView();

	void AddMessage(LPCTSTR p_tszMessage);
	void SetParentFrame(CMainFrame* p_pParentFrame) { m_pParentFrame = p_pParentFrame; }
	CMainFrame* GetParentFrameWnd() { return m_pParentFrame; }

protected:
	DECLARE_MESSAGE_MAP()
	
	CChatEdit		m_edit;
	CChatHistory	m_chatHistory;
    CMainFrame*		m_pParentFrame;

public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg LRESULT OnSelected(WPARAM wParam, LPARAM lParam);

	afx_msg void OnSetFocus(CWnd* pOldWnd);
};


