#pragma once

#include "cSocketFile.h"
#include "cArchive.h"

class CServingSocket : public CSocket  
{
    friend class CListeningSocket;
	friend class CServingSocketThread;
public:
	CServingSocket(CListeningSocket* pListenSocket = NULL);
	virtual ~CServingSocket();

	//BOOL IsAborted() { return m_pArchiveOut == NULL; }
	BOOL Init();
//	void Abort();

	LPCTSTR GetAlias() { return m_strAlias; }
    void OnReceive(int nErrorCode);

	void SetListeningSocket(CListeningSocket* pListenSocket) { m_pListenSocket = pListenSocket; }
	void OnClose(int nErrorCode);

	BOOL GetUserJoined() { return m_bUserJoined; }
	void SetUserJoined(BOOL p_bUserJoined) { m_bUserJoined = p_bUserJoined; }
	void SendCurrentState(cArchive& ar);

	class CServingSocketThread* m_pThread;
	CMutex*						m_pCriticalSection;
    CListeningSocket*			m_pListenSocket;
	CString						m_strAlias;
protected:
	cSocketFile*				m_pFile;
	BOOL						m_bUserJoined;
	

};
