

#include "stdafx.h"
#include "cformat.h"


cFormat::cFormat(LPCTSTR p_tszFormatName, tFormatSupportFlags p_flags)
{
    m_strFormatName = p_tszFormatName;
    m_flags = p_flags;
}

cFormat::~cFormat()
{
    
}


BOOL cFormat::IsProperFormat(LPCTSTR p_tszExtension, fFormatMapType p_formatType)
{
	POSITION pos = m_formatMaps.GetHeadPosition();
	while (pos)
	{
		sFormatMap& fm = m_formatMaps.GetNext(pos);
		for (int i=0; i<fm.arrExtensions.GetCount(); i++)
		{
			if (
				(fm.arrExtensions[i].CompareNoCase(p_tszExtension) == 0) &&
				((fm.type & p_formatType) != 0)
				)
			{
				return TRUE;
			}
		}
	}
	return FALSE;
}
void cFormat::AddFormatMap(int type, CString strDescription, LPCTSTR strExtension1, LPCTSTR strExtension2, LPCTSTR strExtension3, LPCTSTR strExtension4)
{
	sFormatMap fm;
	fm.strDescription = strDescription;
	if (strExtension1 != NULL) fm.arrExtensions.Add(strExtension1);
	if (strExtension2 != NULL) fm.arrExtensions.Add(strExtension2);
	if (strExtension3 != NULL) fm.arrExtensions.Add(strExtension3);
	if (strExtension4 != NULL) fm.arrExtensions.Add(strExtension4);
	fm.type = type;
	m_formatMaps.AddTail(fm);
}

void cFormat::AddFormatMap(int type, CString strDescription, CString strExtension)
{
	sFormatMap fm;
	fm.strDescription = strDescription;
	fm.arrExtensions.Add(strExtension);
	fm.type = type;
	m_formatMaps.AddTail(fm);
}
