#pragma once


// CAttributeColorPane view

class CAttributeColorPane : public CView
{
	DECLARE_DYNCREATE(CAttributeColorPane)

public:
	CAttributeColorPane();           // protected constructor used by dynamic creation
	virtual ~CAttributeColorPane();

public:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreTranslateMessage(MSG* pMsg);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	afx_msg UINT OnGetDlgCode();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	
	afx_msg void OnAttrBackNext();
	afx_msg void OnAttrBackPrev();
	afx_msg void OnAttrForeNext();
	afx_msg void OnAttrForePrev();
	afx_msg void OnAttrSetFore(UINT nID);
	afx_msg void OnAttrSetBack(UINT nID);
	afx_msg void OnCycleBackground8();

private:
	void RecalcColors();
	int ProcessColor(UCHAR curCol, UINT nChar, CString& strCol);

protected:
	DECLARE_MESSAGE_MAP()

	CString	m_strFore;
	CString m_strBack;
	BOOL		m_bForeSelected;
	BOOL	m_bBlinkOn;
	BOOL		m_bForeBlink;
	HACCEL		m_hAccel;
	CPoint m_pos[16][16];
	CSize m_size[16][16];
	CSize m_offset;
};


