// BinaryWidthDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PabloDraw.h"
#include "BinaryWidthDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBinaryWidthDlg dialog


CBinaryWidthDlg::CBinaryWidthDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBinaryWidthDlg::IDD, pParent)
{
	m_bSetDefault = FALSE;
	m_lBinWidth = 160;
}


void CBinaryWidthDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CHECK_SET_DEFAULT, m_bSetDefault);
	DDX_Text(pDX, IDC_EDIT2, m_lBinWidth);
	DDV_MinMaxInt(pDX, m_lBinWidth, 5, 1000);
	DDX_Control(pDX, IDC_SPIN_BIN_WIDTH, m_spinCtrl);
}


BEGIN_MESSAGE_MAP(CBinaryWidthDlg, CDialog)
	ON_WM_CLOSE()
END_MESSAGE_MAP()

void CBinaryWidthDlg::PreInitDialog()
{
	CDialog::PreInitDialog();
	UpdateData(FALSE);
	m_spinCtrl.SetRange(5, 1000);
}

void CBinaryWidthDlg::OnClose()
{
	CDialog::OnClose();
}


