#pragma once

#include "PabloDrawDoc.h"

// CCharSetView

class CCharSetView : public CWnd
{
	DECLARE_DYNAMIC(CCharSetView)

public:
	CCharSetView();
	virtual ~CCharSetView();

	void SetParentFrame(CMainFrame* p_pParentFrame) { m_pParentFrame = p_pParentFrame; }
	CMainFrame* GetMainFrame() { return m_pParentFrame; }
	void DrawCharacter(CDC* pDC, CPoint p_ptStart, UCHAR p_ucCharacter, tElementPart p_fore, tElementPart p_back);
	void DrawString(CDC* pDC, CPoint& p_ptStart, LPCTSTR p_tszValue, BOOL bVert, tElementPart p_fore, tElementPart p_back);

	CSize GetSize(BOOL p_bIsVert);

	void SetSimpleMode(BOOL p_bSimpleMode) { m_bIsSimpleMode = p_bSimpleMode; }
protected:
	DECLARE_MESSAGE_MAP()


    BOOL			m_bIsVert;
    CMainFrame*		m_pParentFrame;
	BOOL			m_bIsSimpleMode;

public:
	afx_msg void OnPaint();
};


