#pragma once


#include "ColourView.h"

/////////////////////////////////////////////////////////////////////////////
// CColourWindow window

class CColourWindow : public CSizingControlBar
{
// Construction
public:
	CColourWindow();
	virtual ~CColourWindow();

// Overrides
    BOOL SetParentFrame(CMainFrame* p_pParentFrame);
    void Update() { if (m_pColourView) m_pColourView->Invalidate(FALSE); }
	void SetChatFlag(BOOL p_bShowChat = TRUE) { m_pColourView->SetChatFlag(p_bShowChat); }


	// Generated message map functions
protected:

    CColourView*    m_pColourView;
    BOOL m_bFloatVert;
	DECLARE_MESSAGE_MAP()

    virtual CSize CalcDynamicLayout(int nLength, DWORD dwMode);
    virtual BOOL UpdateFixedSizes(BOOL bHorz, BOOL bDocked = TRUE);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg LRESULT OnFullScreenSwitch(WPARAM wParam, LPARAM lParam);

};



